/*
 * Copyright 2022 MindMotion Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#include "board_init.h"
#include "tusb.h"

/*
 * Macros.
 */

/*
 * Variables.
 */

/*
 * Declerations.
 */

bool msc_app_init(void);
void msc_app_task(void);

/*
 * Functions.
 */
int main(void)
{
    BOARD_Init();

    printf("tuh_msc_cli example.\r\n");

    tuh_init(BOARD_TUH_RHPORT);
    msc_app_init();

    while (1)
    {
        tuh_task();
        msc_app_task();
    }
}

void tuh_mount_cb(uint8_t dev_addr)
{
  (void) dev_addr;
}

void tuh_umount_cb(uint8_t dev_addr)
{
  (void) dev_addr;
}

/* EOF. */
